View Issue Details

IDProjectCategoryView StatusLast Update
0007040OXID eShop (all versions)4.04. Securitypublic2019-10-10 14:20
ReporterStefan_Werner 
PriorityhighSeveritycriticalReproducibilityalways
Status closedResolutionwon't fix 
Product Version6.1.4 
Target VersionFixed in Version 
Summary0007040: PHP 7.1 is EOL at 01.12.2019
DescriptionBecause no one from OXID can answer this question maybe OXID core team.

https://www.php.net/supported-versions.php

Is there any timeframe when we can expect any offical compatibility for PHP versions higher 7.1?
Or should be still make dirty fixes?
TagsNo tags attached.
ThemeNot defined
BrowserNot defined
PHP Version7.1
MySQL VersionNot defined

Activities

marco_steinhaeuser

2019-10-10 14:20

administrator   ~0013016

This is rather a regular request as a bug report. Wondering why nobody could answer this question as actually there's nothing secret with it. We're presently in the last phase of OXID eShop v6.2.0 that shall be released within the next few weeks. Version 6.2.0 will at least support PHP 7.2 and will be tested on it. AFAIK, former versions also run on PHP 7.2 without any problems - mayhap there would be some "system health" messages. Next time, simply use the forums or Slack channel - this will be much quicker ;)